import {
  reactive,
  ref
} from "vue"
import request from '@/utils/request'

export default () => {
  const loading = ref(false)
  const list = ref([])
  const page = reactive({})
  const detail = reactive({})

  const getList = data => {
    loading.value = true
    request({
      loadingId: 'room.list',
      url: '/room/list',
      data: {
        pageNo: 1,
        pageSize: 10,
        ...data,
      }
    }).then(res => {
      const {
        pageNo,
        pageSize,
        endRow,
        result
      } = res || {}
      Object.assign(page, {
        pageNo,
        pageSize,
        endRow
      })
      list.value = pageNo <= 1 ? result : list.value.concat(list.value)
      loading.value = false
    }).catch(e => {
      console.error(e)
      loading.value = false
    })
  }

  const getDetail = data => {
    request({
      loadingId: 'room.view',
      url: '/room/detail',
      params: {

        id:data,
      }
    }).then(res => {
      console.log(res, 'res')

    Object.assign(detail, res)
   
    }).catch(e => {
      console.error(e)
    })
  }

  const getSecurity = id => {
  return  request({
      loadingId: 'room.security',
      url: '/room/security',
      params: {

        roomId:id,
      }
    }).then(res => {
      console.log(res, 'res')
   return res
    }).catch(e => {
      console.error(e)
    })
  }




  return {
    list,
    page,
    getList,
    detail,
    getDetail,
    getSecurity,
    loading
  }
}